%define name lftp
%define version 2.6.4
%define release 2mdk
%define url ftp://ftp.yars.free.net:/pub/software/unix/net/ftp/client/lftp/

Summary:	Commandline ftp client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{url}/%{name}-%{version}.tar.bz2
Source1:	icons-%{name}.tar.bz2
URL:		http://lftp.yar.ru/			
Patch:		lftp-2.2.0-lftpgetmanpage.patch.bz2
Patch1:		lftp-2.5.0a-mdkconf.patch.bz2
Patch2:		lftp-2.5.4-advert.patch.bz2
Patch3:		lftp-2.6.0-skip-readline.patch.bz2
Patch4:		lftp-2.6.0-use-less.patch.bz2
Group:		Networking/File transfer
BuildRequires:	gpm-devel libncurses5-devel readline-devel 
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Requires: less

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 

%build
if [ "$LINGUAS" ]; then
    unset LINGUAS
fi
%configure

%make 

%install
%makeinstall

#install -m644 lftpget.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

install -d %buildroot%{_iconsdir}
tar jxf  %{SOURCE1} -C %buildroot%{_iconsdir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/lftp
?package(lftp):needs="text" section="Networking/File transfer" \
title="Lftp" command="lftp" \
longtitle="Command line file transfer program" \
description="Reliable, easy and powerful ftp command-line client" \
icon=lftp.png
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING src/ChangeLog FAQ INSTALL MIRRORS NEWS 
%doc README.* THANKS TODO lftp.lsm BUGS
%defattr(-,root,root,0755)
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png
%{_menudir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/

%changelog
* Fri Feb 21 2003 Daouda LO <daouda@mandrakesoft.com> 2.6.4-2mdk
- rebuild against latest openssl (#1993)

* Thu Jan  2 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.4-1mdk
- Bump to 2.6.4.

* Thu Nov 21 2002 Daouda LO <daouda@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.2-1mdk
- new release

* Mon Aug 12 2002 Daouda LO <daouda@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0
- regenerated patches. 
- png icons 

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.4-3mdk
- regenerate automake/automake files
- patch2: s/winnt/linux/
- patch3: don't even look at provided readline
- patch4: use less at default pager
- BuildRequires: automake1.6
- Requires: less

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.4-2mdk
- rebuild for new readline

* Tue Jun 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.4-1mdk
- new release

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5.2-1mdk
- new release

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.5.1-3mdk
- Automated rebuild in gcc3.1 environment

* Sat Apr 27 2002 Daouda LO <daouda@mandrakesoft.com> 2.5.1-2mdk
- change URL
- proxy bug fix.

* Fri Apr 26 2002 Daouda LO <daouda@mandrakesoft.com> 2.5.1-1mdk
- 2.5.1 

* Tue Apr 16 2002 Daouda LO <daouda@mandrakesoft.com> 2.5.0a-1mdk
- 2.5.0a
- regenerate mandrake aliases patches

* Wed Dec 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-1mdk
- 2.4.8.

* Fri Nov 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-1mdk
- 2.4.7.

* Thu Nov 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.6-1mdk
- So time has come for the all-new 2.4.6 to come into the public eye.

* Fri Sep 28 2001 Daouda LO <daouda@mandrakesoft.com> 2.4.4-1mdk
- release 2.4.4 
  o man page updated.                                                                                                                    
  o sometimes lftp did not expand tilde in remote path - fixed.                                                                          
  o fixed `bookmark add' in cygwin port. 
  o fixed validation of ftp:ssl-auth.                                                                                                    
  o fixed a coredump with assertion "res==Ftp::OK" failed.                                                                               
  o improved abort sequence for passive mode, now wu-ftpd does not hang.                                                                 
  o compile proto-fish.so properly when configured with modules.                                                                         
  o compilation fixes.

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.4.1-2mdk
- Use new icons

* Thu Aug  9 2001 Daouda LO <daouda@mandrakesoft.com> 2.4.1-1mdk
- bug/translation release 2.4.1
	o Translation updated
	o Fixed a coredump due to incorrect memory allocation 

* Tue Jul 31 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0 final.

* Wed Jul  4 2001  Daouda Lo <daouda@mandrakesoft.com> 2.4.0-0.pre1.1mdk
- 2.4.0-pre1.

* Mon Jun 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.11-1mdk
- Disable modules.
- Fix compilation.
- 2.3.11.

* Fri Apr 27 2001 Daouda Lo <daouda@mandrakesoft.com> 2.3.9-1mdk
- release 2.3.9

* Thu Apr 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.8-3mdk
- Apply patch from Abel Cheung to fix buffer overflow.

* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.8-2mdk
- Big5 Chinese translation from Abel Cheung (maddog@linuxhall.org).

* Mon Feb 19 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.8-1mdk
- release .

* Sun Jan 21 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.7-1mdk
- fixed OPIE/SKEY automatic password generation.  
- fixed put over http or hftp when server replies `100 Continue'.

* Fri Jan 12 2001  <daouda@ke.mandrakesoft.com> 2.3.6-1mdk
- release 
- regenerate patch1 (little change )
- patch 4 for bz{cat,more} integrated now.

* Wed Dec 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.5-4mdk
- change the buildrequires back to readline-devel which is what this package
  is called now.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-3mdk
- Add bz{/cat/more} support.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-2mdk
- Change Buildrequires to the new lib policy.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-1mdk
- insert longtitle.
- Reinsert the modules support.
- 2.3.5.

* Wed Nov 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.3.4-4mdk
- remove hardcoded path to binary in menu 

* Thu Nov 02 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-3mdk
- Rebuild for last gcc.

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-2mdk
- Disable modules support (temporary fixes for bug).

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-2mdk
- Don't compile with a custom readline take it from our tree.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-1mdk
- 2.3.3.

* Fri Sep 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-3mdk
- Correct icons (#458, #459).

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-2mdk
- Fix queue command.

* Fri Sep 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-1mdk
- Fix compilation with last libtool.
- 2.3.0.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.5-2mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.5-1mdk
- new release
- use righ macros

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-3mdk
- Compile modules with -lc.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-2mdk
- Rebuild due to a bad macros.

* Tue Jul 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-1mdk
- More macros.
- BM.
- 2.2.4.

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3.
- Use find_lang and mandir macros.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-2mdk
- Fix menu icon.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-1mdk
- Add menu entry.
- Add lftpget.1 man page from debian package.
- 2.2.0 (using 2.2.0a in fact).

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.10-1mdk
- 2.1.10.
- Update groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- Include src/ChangeLog not ChangeLog (outdated).
- 2.1.9.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8-1mdk
- 2.1.8.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6.
- use %configure.

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.
- Fix completion on directory.
- more alias.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.4.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.3.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.2

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Wed Sep 22 1999 Daouda Lo <daouda@mandrakesoft.com>
- 2.0.5

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.0.4
- add the url
- fix a bug in spec that preventing from including locales
- fix permissions (now this could be builded as non root)

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.3 finale.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- pre2.0.3-990722 from CVS.
- enable --with-modules.
- Relifting of Spec files.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Set passive by default (special Pixel ;-)).
- 2.0.1.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.0
